aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.PutUserPolicy

Synopsis

- data PutUserPolicy = PutUserPolicy {
  - pupPolicyDocument :: Text
  - pupPolicyName :: Text
  - pupUserName :: Text
  }
- data PutUserPolicyResponse = PutUserPolicyResponse

# Documentation

data PutUserPolicy #

Adds a policy document with the specified name, associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_PutUserPolicy.html

Constructors

PutUserPolicy |

Fields

- pupPolicyDocument :: Text

  The policy document.

- pupPolicyName :: Text

  Name of the policy.

- pupUserName :: Text

  Name of the user with whom this policy is associated.

#### Instances

Instances details

SignQuery PutUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ServiceConfiguration PutUserPolicy |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ServiceConfiguration PutUserPolicy = IamConfiguration

Methods

signQuery :: PutUserPolicy -> ServiceConfiguration PutUserPolicy queryType -> SignatureData -> SignedQuery #

Show PutUserPolicy # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods showsPrec :: Int -> PutUserPolicy -> ShowS # show :: PutUserPolicy -> String # showList :: [PutUserPolicy] -> ShowS #
Eq PutUserPolicy # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods (==) :: PutUserPolicy -> PutUserPolicy -> Bool # (/=) :: PutUserPolicy -> PutUserPolicy -> Bool #
Ord PutUserPolicy # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Methods

compare :: PutUserPolicy -> PutUserPolicy -> Ordering #

(<) :: PutUserPolicy -> PutUserPolicy -> Bool #

(<=) :: PutUserPolicy -> PutUserPolicy -> Bool #

(>) :: PutUserPolicy -> PutUserPolicy -> Bool #

(>=) :: PutUserPolicy -> PutUserPolicy -> Bool #

max :: PutUserPolicy -> PutUserPolicy -> PutUserPolicy #

min :: PutUserPolicy -> PutUserPolicy -> PutUserPolicy #

ResponseConsumer PutUserPolicy PutUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ResponseMetadata PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutUserPolicy -> IORef (ResponseMetadata PutUserPolicyResponse) -> HTTPResponseConsumer PutUserPolicyResponse #

Transaction PutUserPolicy PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy
type ServiceConfiguration PutUserPolicy # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ServiceConfiguration PutUserPolicy = IamConfiguration

data PutUserPolicyResponse #

Constructors

PutUserPolicyResponse |

#### Instances

Instances details

AsMemoryResponse PutUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type MemoryResponse PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type MemoryResponse PutUserPolicyResponse = PutUserPolicyResponse

Methods

loadToMemory :: PutUserPolicyResponse -> ResourceT IO (MemoryResponse PutUserPolicyResponse) #

Show PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods showsPrec :: Int -> PutUserPolicyResponse -> ShowS # show :: PutUserPolicyResponse -> String # showList :: [PutUserPolicyResponse] -> ShowS #
Eq PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy Methods (==) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool # (/=) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool #
Ord PutUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Methods

compare :: PutUserPolicyResponse -> PutUserPolicyResponse -> Ordering #

(<) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool #

(<=) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool #

(>) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool #

(>=) :: PutUserPolicyResponse -> PutUserPolicyResponse -> Bool #

max :: PutUserPolicyResponse -> PutUserPolicyResponse -> PutUserPolicyResponse #

min :: PutUserPolicyResponse -> PutUserPolicyResponse -> PutUserPolicyResponse #

ResponseConsumer PutUserPolicy PutUserPolicyResponse # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type ResponseMetadata PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> PutUserPolicy -> IORef (ResponseMetadata PutUserPolicyResponse) -> HTTPResponseConsumer PutUserPolicyResponse #

Transaction PutUserPolicy PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy
type MemoryResponse PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type MemoryResponse PutUserPolicyResponse = PutUserPolicyResponse
type ResponseMetadata PutUserPolicyResponse # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata